#include "Screen.h"

Screen::Screen(Sensors *sensors, int sdaPin, int sclPin){
	_sensors = sensors;
	_sdaPin = sdaPin;
	_sclPin = sclPin;
}

void Screen::setup() {
	Wire.begin(_sdaPin, _sclPin);
	_screen.begin(SSD1306_SWITCHCAPVCC, 0x3C);
	_screen.clearDisplay();
	_screen.setTextWrap(false);
	_screen.setTextColor(WHITE);
}

void Screen::writeTemperature(){
	_screen.setTextSize(1);
	_screen.setCursor(0, 0);
	_screen.println("Temperature:");
	_screen.setTextSize(2);
	_screen.setCursor(0, 10);
	_screen.println(_sensors->getTemperature());
}

void Screen::update(){
	writeTemperature();
	_screen.display();
}